opsi 4.1 updates in stable and testing

Benutzeravatar
rico
uib-Team
Beiträge: 2
Registriert: 27 Mai 2020, 16:13

opsi 4.1 updates in stable and testing

Beitragvon rico » 30 Jun 2020, 10:57

Dear opsi-users,

We released opsi 4.1 updates in stable and testing. During the process, we experienced a tiny publishing problem which delayed this release post. Our apologies for any inconvenience.

Updated package News:

windows10-upgrade:
After installation, this package provides a symbolic link to the opsi-client-agent package. Upgrading from Windows7 to Windows10 requires a symbolic link. The package published in testing supports upgrades via WAN / VPN. To upgrade, you must install the package manually using the below command, regardless if you used the opsi-package-updater to install the package.

Code: Alles auswählen

opsi-package-manager -i windows10-upgrade_19.09-9.opsi --suppress-pcf-generation


The package itself creates the synchronization file. This feature applies exclusively for WAN / VPN upgrade clients. Package python-opsi 4.1.1.91-1, available in this release testing environment, omits this manual step.

opsi-client-agent:
The opsiclientd service package, currently in testing, supports suspending Bitlocker before reboot. Additional information available at the opsi-manual:

https://download.uib.de/opsi4.1/testing/documentation/html/opsi-manual-v4.1/opsi-manual-v4.1.html#opsi-manual-clientagent

Updated packages in stable:

Server packages opsi 4.1:
* opsi-linux-bootimage (20200506-1)
* opsi-tftpd-hpa (5.2.8-52)
* opsipxeconfd (4.1.1.19-2)
* python-opsi (4.1. 1.89-1)
* opsi-script (4.12.3.13-2)
* opsi-utils (4.1.1.35-1)

Windows Localboot packages:
* opsi-auto-update (4.1.0.1-1)
* opsi-configed (4.1. 9.3.3-1)
* windows10-upgrade (19.09-9)
* opsi-script-test (4.12.3.9-1)
* opsi-wan-config-off (4.1.0-1)
* opsi-wan-config- on (4.1.0-1)

Linux Localboot packages:
* l-system-update (4.1.0.0-2)
* opsi-linux-client-agent (4.1.1.0-2)

Windows Netboot packages:
* Windows-NT6 (4.1 .0.1-14)

opsi-local-image products:
* opsi-local-image-NT6 (4.1.0.1-12)
* opsi-auto-update (4.1.0.1-1)

Linux Netboot packages:
* debian (4.1.0.2 -3)
* debian8 (4.1.0.1-4)
* debiab9 (4.1.0.3-2)
* debian10 (4.1.0.4-3)
* ubuntu (4.1.0.3-2)
* ubuntu16-04 (4.1.0.1-4)
* ubuntu18-04 (4.1.0.3-2)
* ubuntu20-04 (4.1.0.3-4)

Updated packages in testing:

Server packages opsi 4.1:
* python-opsi (4.1.1.91-1)
* opsipxeconfd (4.1.1.20-3)

Windows Localboot Packages:
* opsi-auto-update (4.1.0.2-1)
* opsi-client-agent (4.1.0.0-42)
* opsi-winst (4.12.3.14)

Linux Localboot packages:
* l-debuntu-upgrade (4.1. 0.0-6)
* opsi-auto-update (4.1.0.2-1)
* opsi-linux-client-agent (4.1.1.0-3)

opsi-local-image Localboot products:
* opsi-auto-update (4.1.0.2 -1)

Changelogs:

Code: Alles auswählen

python-opsi (4.1.1.91-1) stable; urgency = medium
 
  * Follow links at PackageContentFile generation after opsi-package installation
 
 - Erol Ueluekmen <e.ueluekmen@uib.de> Fri, 26 Jun 2020 16:08:05 +0200
 
python-opsi (4.1.1.90-1) stable; urgency = medium
 
  * PackageUpdater: autosetup excludes implemented.
 
 - Erol Ueluekmen <e.ueluekmen@uib.de> Fri, 22 May 2020 16:11:12 +0200
 
========================= ================================================== ================
opsipxeconfd (4.1.1.20-3) testing; urgency = medium
 
  * corrected typo
 
 - Mathias Radtke <m.radtke@uib.de> Wed, 17 Jun 2020 14:03:09 +0200
 
opsipxeconfd (4.1.1.20-2) testing; urgency = medium
 
  * opsipxeconfd.conf: grub template is now default for UEFI netboot
 
 - Mathias Radtke <m.radtke@uib.de> Wed, 17 Jun 2020 09:25:10 +0200
 
opsipxeconfd (4.1.1.20-1) testing ; urgency = medium
 
  * opsipxeconfd: check if any pxeConfigTemplate.efi file exists to overwrite
    uefi netboot config template
 
 - Mathias Radtke <m.radtke@uib.de> Mon, 18 May 2020 20:06:31 +0200
===== ================================================== ====================================
 
opsi-auto-update (4.1.0.2-1) stable; urgency = low
 
   * property setup_after_install removed
   * new bool property: shutdown_on_finish (default = false)
      if true we have a final shutdown
      if false we have no reboot / shutdown
   * uefi support for opsi-local-image-restore start
 
- detlef oertel < d.oertel@uib.de> Thu, 14 May 2020 15:00:00 +0200
 
opsi-auto-update (4.1.0.1-1) stable; urgency = low
 
   * new property: products_to_exclude_by_regex
   * extend default and values ​​for products_to_exclude
   * requiredWinstVersion> = "4.12.1.5"
   * property: do_cleanup: new default = false
   * property: do_merge: new default = false
   * setProductsToUninstall: no waring on empty list
 
- detlef oertel <d.oertel@uib.de> Thu, Apr 23, 2020 3:00 PM
 
+0200 ========================= ================================================== ================
opsi-wan-config-off (4.1.0-1) stable; urgency = low
 
   * changed to use json objects
   
- detlef oertel <d.oertel@uib.de> Wed, 27 May 2020 15:00:00 +0200
========================= ================================================== ================
opsi-wan-config-on (4.1.0-1) stable; urgency = low
 
   * changed to use json objects
   
- detlef oertel <d.oertel@uib.de> Wed, 27 May 2020 15:00:00 +0200
========================= ================================================== ================
 
opsi-script-test (4.12.3.9-1) stable; urgency = low
 
  * var_as_param tests (variable as parameter for section calls)
      tests statement: executeSection (<string expr with section call>)
  * registry tests now in sub-script
  * new stand alone test: TestVarAsParam.opsiscript
  * test for new function setValueByKey in stringlist test
 
- detlef oertel <d.oertel@uib.de> Tue, 21 Jan 2020 15:00:00 +0200
 
========================= ================================================== ================
l-debuntu-upgrade (4.1.0.0-6) stable; urgency = low
 
  * bionic to focal upgrade added
  * reboot if needed after initial update
 
- detlef oertel <d.oertel@uib.de> Tue, 19 May 2020 15:00:00 +0000

Benutzeravatar
SisterOfMercy
Beiträge: 1166
Registriert: 22 Jun 2012, 19:18

Re: opsi 4.1 updates in stable and testing

Beitragvon SisterOfMercy » 03 Jul 2020, 13:40

This is the correct command:

[code]opsi-package-manager -i windows10-upgrade_19.09-9.opsi --suppress-pcf-generation[/code]
Bitte schreiben Sie Deutsch, when I'm responding in the German-speaking part of the forum!

Benutzeravatar
rico
uib-Team
Beiträge: 2
Registriert: 27 Mai 2020, 16:13

Re: opsi 4.1 updates in stable and testing

Beitragvon rico » 03 Jul 2020, 15:10

Hi, thanks for the heads up!